PUSHDIVERT(-1)
ifdef(`IFMAIL_MAILER_PATH',, `define(`IFMAIL_MAILER_PATH', /usr/lib/ifmail/ifmail)')
ifdef(`IFMAIL_MAILER_FLAGS',, `define(`IFMAIL_MAILER_FLAGS', `')')
ifdef(`IFMAIL_MAILER_ARGS',, `define(`IFMAIL_MAILER_ARGS', `ifmail -r $h $u')')

POPDIVERT
#######################################
###   IFMAIL Mailer specification   ###
#######################################

VERSIONID(`@(#)ifmail.m4	2.0 (Md) 97/08/23')

Mifmail,	P=IFMAIL_MAILER_PATH, F=CONCAT(8mDFMuCS, IFMAIL_MAILER_FLAGS), S=11, R=21,ifdef(`IFMAIL_MAILER_MAX', ` M=IFMAIL_MAILER_MAX,')
		_OPTINS(`IFMAIL_MAILER_CHARSET', `C=', `, ')T=X-FTN/RFC822/X-Unix, U=ftn:ftn,
		A=IFMAIL_MAILER_ARGS
Mifmail-c,	P=IFMAIL_MAILER_PATH, F=CONCAT(8mDFMuCS, IFMAIL_MAILER_FLAGS), S=11, R=21,ifdef(`IFMAIL_MAILER_MAX', ` M=IFMAIL_MAILER_MAX,')
		_OPTINS(`IFMAIL_MAILER_CHARSET', `C=', `, ')T=X-FTN/RFC822/X-Unix, U=ftn:ftn,
		A=IFMAIL_MAILER_ARGS -gc
Mifmail-h,	P=IFMAIL_MAILER_PATH, F=CONCAT(8mDFMuCS, IFMAIL_MAILER_FLAGS), S=11, R=21,ifdef(`IFMAIL_MAILER_MAX', ` M=IFMAIL_MAILER_MAX,')
		_OPTINS(`IFMAIL_MAILER_CHARSET', `C=', `, ')T=X-FTN/RFC822/X-Unix, U=ftn:ftn,
		A=IFMAIL_MAILER_ARGS -gh
dnl****************************************************************************
LOCAL_CONFIG`'dnl
ifdef(`FTN_POINTS',
`# All our points. Each user must have the same point number on each network
CD FTN_POINTS
')dnl
divert`'dnl
dnl*
dnl****************************************************************************
LOCAL_NET_CONFIG`'dnl
ifdef(`FTN_POINTS',
`# Route mail for our fidotech points
R$* < @ $=D . $=w . >  $*	$#ifmail $@ $2.$3 $: $1 < @ $2 . $3 > $4
')dnl
dnl*
dnl+ Does not works on nodes which run uucp.
ifdef(`IFMAIL_BOUNCE_UUCP',
`# Bounce mail sent to the gateway without a To: pseudo header as first line
RUUCP		$#error $@ 5.1.1 $: "you must provide a To: address"
')dnl
dnl*
# send as normal email and not as netmail
R$* < @ $+ .ip.fidonet.org. > $*	$: $1 < @ $2 .fidonet.org. > $3
divert`'dnl
dnl*
ifdef(`FIDO_SMART_HOST',
R$* < @ $+ .z1.fidonet.org . > $*	$#ifmail $@ FIDO_SMART_HOST $: $1 < @ $2 .z1.fidonet.org > $3
R$* < @ $+ .z2.fidonet.org . > $*	$#ifmail $@ FIDO_SMART_HOST $: $1 < @ $2 .z2.fidonet.org > $3
R$* < @ $+ .z3.fidonet.org . > $*	$#ifmail $@ FIDO_SMART_HOST $: $1 < @ $2 .z3.fidonet.org > $3
R$* < @ $+ .z4.fidonet.org . > $*	$#ifmail $@ FIDO_SMART_HOST $: $1 < @ $2 .z4.fidonet.org > $3
R$* < @ $+ .z5.fidonet.org . > $*	$#ifmail $@ FIDO_SMART_HOST $: $1 < @ $2 .z5.fidonet.org > $3
R$* < @ $+ .z6.fidonet.org . > $*	$#ifmail $@ FIDO_SMART_HOST $: $1 < @ $2 .z6.fidonet.org > $3
')dnl
dnl****************************************************************************
LOCAL_RULE_0`'dnl
# trying to guess real internet domains
C{NotFtn} fidonet ftp www smtp mail ns ns2 whois
R$* < @ $={NotFtn}.$+.fidonet.org. > $*	$: $1 < @ $2 . $3 .ip.fidonet.org. > $4
divert
dnl*
dnl****************************************************************************
LOCAL_RULE_3`'
# canonize fidotech domains.
R$* < @ $+ .z1.fidonet.org > $*	$: $1 < @ $2 .z1.fidonet.org. > $3
R$* < @ $+ .z2.fidonet.org > $*	$: $1 < @ $2 .z2.fidonet.org. > $3
R$* < @ $+ .z3.fidonet.org > $*	$: $1 < @ $2 .z3.fidonet.org. > $3
R$* < @ $+ .z4.fidonet.org > $*	$: $1 < @ $2 .z4.fidonet.org. > $3
R$* < @ $+ .z5.fidonet.org > $*	$: $1 < @ $2 .z5.fidonet.org. > $3
R$* < @ $+ .z6.fidonet.org > $*	$: $1 < @ $2 .z6.fidonet.org. > $3
#R$* < @ $+ .crash.fidonet.org > $*	$: $1 < @ $2 .crash.fidonet.org. > $3
R$* < @ $+ .ftn > $*		$: $1 < @ $2 .ftn. > $3
divert`'dnl
dnl****************************************************************************
